package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class StWaterInflowEstimate {
    private Long id;

    private Long regionId;

    private String regionCode;

    private String waterType;

    private BigDecimal waterQuantity;

    private Date submitTime;

    private Integer estimateYear;

    private Integer estimateMonth;

    private Integer estimateDay;

    private String remark;

    private Date createdAt;

    private String createdBy;

    private Date deletedAt;

    private String deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode == null ? null : regionCode.trim();
    }

    public String getWaterType() {
        return waterType;
    }

    public void setWaterType(String waterType) {
        this.waterType = waterType == null ? null : waterType.trim();
    }

    public BigDecimal getWaterQuantity() {
        return waterQuantity;
    }

    public void setWaterQuantity(BigDecimal waterQuantity) {
        this.waterQuantity = waterQuantity;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public Integer getEstimateYear() {
        return estimateYear;
    }

    public void setEstimateYear(Integer estimateYear) {
        this.estimateYear = estimateYear;
    }

    public Integer getEstimateMonth() {
        return estimateMonth;
    }

    public void setEstimateMonth(Integer estimateMonth) {
        this.estimateMonth = estimateMonth;
    }

    public Integer getEstimateDay() {
        return estimateDay;
    }

    public void setEstimateDay(Integer estimateDay) {
        this.estimateDay = estimateDay;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(String deletedBy) {
        this.deletedBy = deletedBy == null ? null : deletedBy.trim();
    }
}